<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/11/2003 *
 * ===================                          Last change: 09/21/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_other.php                            *
 * -------------------------------------------------------------------- *
 * Short description : basic settings                                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Grund Einstellungen                              *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Stop saving data if one input field is !isset
if (isFormSent('save_config')) {
	// Calculate stamps and set calculated stamps
	setPostRequestElement('profile_lock'         , createEpocheTimeFromSelections('profile_lock'         , postRequestArray()));
	setPostRequestElement('profile_update'       , createEpocheTimeFromSelections('profile_update'       , postRequestArray()));
	setPostRequestElement('resend_profile_update', createEpocheTimeFromSelections('resend_profile_update', postRequestArray()));

	// Check other timestamps (which can be zero!)
	if (!isPostRequestElementSet('profile_lock'))          { unsetPostRequestElement('ok'); }
	if (!isPostRequestElementSet('profile_update'))        { unsetPostRequestElement('ok'); }
	if (!isPostRequestElementSet('resend_profile_update')) { unsetPostRequestElement('ok'); }
} // END - if

if (isFormSent('save_config')) {
	// Update stamps directly
	adminSaveSettingsFromPostData();
} else {
	// Time selection boxes
	$content['profile_lock']     = createConfigurationTimeSelections('profile_lock'         , 'WDh');
	$content['profile_update']   = createConfigurationTimeSelections('profile_update'       , 'YM');
	$content['profile_reupdate'] = createConfigurationTimeSelections('resend_profile_update', 'MWD');

	// Load template
	loadTemplate('admin_config_profile', FALSE, $content);
}

// [EOF]
?>
