<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 02/12/2004 *
 * ===================                          Last change: 02/27/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-del_email.php                               *
 * -------------------------------------------------------------------- *
 * Short description : Delete a bonus or normal mail                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Bonus- / Mitglied-Mail loeschen                  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Init counter for deleted mails
$count = '0';

if ((isPostRequestElementSet('id')) && (isGetRequestElementSet('type')) && (postRequestElement('type') == 'normal')) {
	// Load email data
	// @TODO Unused: cat_id
	$content = getPoolDataFromId(getRequestElement('id'));

	// Delete mail only once
	if (count($content) > 0) {
		// Prepare data for the template
		$content['timestamp'] = generateDateTime($content['timestamp'], 0);

		// Load template
		loadTemplate('admin_delete_email_normal', FALSE, $content);

		// Load email template and send the email away
		$message_user = loadEmailTemplate('member_order_deleted', $content, $content['sender']);
		sendEmail($content['sender'], '{--MEMBER_ORDER_DELETED--}', $message_user);

		// Fetch right stats_id from pool
		$result_pool = sqlQueryEscaped("SELECT
	`s`.`id`
FROM
	`{?_MYSQL_PREFIX?}_user_stats` AS `s`
LEFT JOIN
	`{?_MYSQL_PREFIX?}_pool` AS `p`
ON
	`s`.`pool_id`=`p`.`id`
WHERE
	`s`.`pool_id`=%s
LIMIT 1",
			array(bigintval(getRequestElement('id'))), __FILE__, __LINE__);
		if (sqlNumRows($result_pool) == 1) {
			// Fetch stats id
			list($stats_id) = sqlFetchRow($result_pool);

			// Get all user links
			$links = countSumTotalData($stats_id, 'user_links', 'userid', 'stats_id', TRUE);

			// Reset sent mails for recipient(s)
			reduceRecipientReceivedMails('stats_id', getRequestElement('id'), $links);

			// Calc total points and pay them back
			$totalPoints = $links * $content['price'];

			// Shall we pay the points back to the user?
			if ($totalPoints == 0) {
				// No points repayed!
				displayMessage('{--ADMIN_NO_POINTS_REPAYED--}');
			} elseif (getConfig('repay_deleted_mails') != 'SHRED') {
				//* DEBUG: */ debugOutput($stats_id . ':' . $totalPoints . '/' . $links . '/' . $content['price']);
				// Shall we payback to user or jackpot?
				if (getConfig('repay_deleted_mails') == 'JACKPOT') {
					// Set jackpot
					$content['sender'] = '0';
				} // END - if

				// Pay back points
				initReferralSystem();
				addPointsThroughReferralSystem('mail_deleted', $content['sender'], $totalPoints);

				// Output message
				if (getConfig('repay_deleted_mails') == 'REPAY') {
					// Repayed
					displayMessage('{%message,ADMIN_POINTS_REPAYED=' . $totalPoints . '%}');
				} else {
					// To jackpot
					displayMessage('{%message,ADMIN_POINTS_TO_JACKPOT=' . $totalPoints . '%}');
				}
			} else {
				// Points shredded!
				displayMessage('{%message,ADMIN_POINTS_SHREDDED=' . $totalPoints . '%}');
			}

			// Remove links from DB
			sqlQueryEscaped("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_user_links` WHERE `stats_id`=%s",
				array(bigintval($stats_id)), __FILE__, __LINE__);
			$count += sqlAffectedRows();

			// Load template for link
			displayMessage('<a href="{%url=modules.php?module=admin&amp;what=del_email&amp;pid=' . bigintval(getRequestElement('id')) . '%}">{--ADMIN_REMOVE_STATS_ENTRY--}</a>');
		} // END - if

		// Free the result
		sqlFreeResult($result_pool);

		// Delete mail from queue
		sqlQueryEscaped("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_pool` WHERE `id`=%s LIMIT 1",
			array(bigintval(getRequestElement('id'))), __FILE__, __LINE__);
		$count += sqlAffectedRows();

		// Output link for manually removing stats entry
		outputHtml('{%message,ADMIN_DELETED_MAILS_COUNT=' . $count . '%}');
	} else {
		// Mail already deleted!
		displayMessage('{--ADMIN_NORMAL_MAIL_ALREADY_DELETED--}');
	}

	// Free result
	sqlFreeResult($result);
} elseif (isGetRequestElementSet('pid')) {
	// Remove stats entries
	sqlQueryEscaped("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_user_stats` WHERE `pool_id`=%s LIMIT 1",
		array(bigintval(getRequestElement('pid'))), __FILE__, __LINE__);

	// Output message
	displayMessage('{--ADMIN_USER_STATS_REMOVED--}');
} elseif (((isPostRequestElementSet('id')) && (isGetRequestElementSet('type')) && (postRequestElement('type') == 'bonus')) && (isExtensionActive('bonus'))) {
	// Load data from bonus mail
	$result = sqlQueryEscaped("SELECT `id`, `subject`, `url`, `timestamp`, `mails_sent` FROM `{?_MYSQL_PREFIX?}_bonus` WHERE `id`=%s LIMIT 1",
		array(bigintval(getRequestElement('id'))), __FILE__, __LINE__);

	// Delete mail only once
	if (sqlNumRows($result) == 1) {
		// Load data
		$content = sqlFetchArray($result);

		// Reset sent mails for recipient(s)
		reduceRecipientReceivedMails('bonus_id', getRequestElement('id'), $content['mails_sent']);

		// Init counter for deleted mails
		$count = '0';

		// Delete bonus mail entirely from database
		sqlQueryEscaped("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_bonus` WHERE `id`=%s LIMIT 1",
			array(bigintval(getRequestElement('id'))), __FILE__, __LINE__);
		$count += sqlAffectedRows();
		sqlQueryEscaped("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_user_links` WHERE `bonus_id`=%s",
			array(bigintval(getRequestElement('id'))), __FILE__, __LINE__);
		$count += sqlAffectedRows();

		// Prepare data for the template
		$content['timestamp'] = generateDateTime($content['timestamp'], '0');
		$content['count']     = $count;

		// Load template
		loadTemplate('admin_delete_email_bonus', FALSE, $content);
	} else {
		// Mail already deleted!
		displayMessage('{--ADMIN_BONUS_MAIL_ALREADY_DELETED--}');
	}
} elseif ((isGetRequestElementSet('nid')) && (isExtensionInstalledAndNewer('bonus', '0.8.7'))) {
	// Load data from bonus mail
	$result = sqlQueryEscaped("SELECT `id`, `subject`, `url`, `timestamp` FROM `{?_MYSQL_PREFIX?}_bonus` WHERE `id`=%s LIMIT 1",
		array(bigintval(getRequestElement('nid'))), __FILE__, __LINE__);

	// Delete mail only once
	if (sqlNumRows($result) == 1) {
		// Load data
		$content = sqlFetchArray($result);

		// Init counter for deleted mails
		$count = '0';

		// Delete bonus mail entirely from database
		sqlQueryEscaped("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_bonus` WHERE `id`=%s LIMIT 1",
			array(bigintval(getRequestElement('nid'))), __FILE__, __LINE__);
		$count += sqlAffectedRows();
		sqlQueryEscaped("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_user_links` WHERE `bonus_id`=%s",
			array(bigintval(getRequestElement('nid'))), __FILE__, __LINE__);
		$count += sqlAffectedRows();

		// Prepare data for the template
		$content['timestamp'] = generateDateTime($content['timestamp'], '0');
		$content['count']     = $count;

		// Load template
		loadTemplate('admin_delete_email_notify', FALSE, $content);
	} else {
		// Mail already deleted!
		displayMessage('{--ADMIN_NOTIFY_MAIL_ALREADY_DELETED--}');
	}

	// Free result
	sqlFreeResult($result);
} else {
	// No mail orders fond
	displayMessage('{--ADMIN_WRONG_CALL--}');
}

// [EOF]
?>
