<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/19/2003 *
 * ===================                          Last change: 11/19/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-bonus.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : Bonus pages for some extra points                *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Bonusseiten fuer ein paar Extrapunkte            *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addYouAreHereLink('member', __FILE__);

if ((!isExtensionActive('bonus')) && (!isAdmin())) {
	displayMessage('{%pipe,generateExtensionInactiveNotInstalledMessage=bonus%}');
	return;
} // END - if

// Add more bonus points here
$add = runFilterChain('add_bonus_points_user_columns', '');
$pointsColumns = '`turbo_bunus`';
if (!empty($add)) {
	$pointsColumns = '(0' . $add . ')';
} // END - if

// Init variables
$lastOnline = '%s';
$ONLINE = '';

// Autopurge installed?
if ((isExtensionActive('autopurge')) && ((getApInactiveSince() > 0))) {
	// Use last online timestamp to keep inactive members away from here
	$lastOnline   = ' AND (UNIX_TIMESTAMP() - `last_online`) < {?ap_inactive_since?}';
} // END - if

// Let's check if there are some points left we can 'pay'...
$result = sqlQueryEscaped("SELECT
	`userid`,
	".$pointsColumns." AS `points`,
	`last_online`
FROM
	`{?_MYSQL_PREFIX?}_user_data`
WHERE
	" . $pointsColumns . " > 0 AND
	`status`='CONFIRMED'
	" . runFilterChain('user_exclusion_sql', ' ') . "
	" . $lastOnline . "
ORDER BY
	`points` DESC,
	`last_online` DESC,
	`userid` ASC
LIMIT {?bonus_ranks?}",
	array(
		$ONLINE
	), __FILE__, __LINE__);

// Reset temporary variable and check for users
$OUT = '';
if (!ifSqlHasZeroNums($result)) {
	// Load our winners...
	$count = 1;
	while ($content = sqlFetchArray($result)) {
		// Prepare data for the template
		$content['count']       = $count;
		$content['last_online'] = generateDateTime($content['last_online'], '2');

		// Load row template
		$OUT .= loadTemplate('member_bonus_row', TRUE, $content);

		// Count one up
		$count++;
	} // END - while
} else {
	// No one is interested in our "active rallye" ! :-(
	$OUT = loadTemplate('member_bonus_404', TRUE);
}

// Free memory
sqlFreeResult($result);

// Prepare content array
$content['rows'] = $OUT;

// Load final template
loadTemplate('member_bonus', FALSE, $content);

// [EOF]
?>
